package com.qmth.teachcloud.mark.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.concurrent.service.ConcurrentService;
import com.qmth.boot.core.exception.ParameterException;
import com.qmth.teachcloud.common.entity.MarkStudent;
import com.qmth.teachcloud.common.entity.ScanAnswerCard;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.service.MarkStudentService;
import com.qmth.teachcloud.common.service.ScanAnswerCardService;
import com.qmth.teachcloud.mark.dto.refix.AnswerRefixDomain;
import com.qmth.teachcloud.mark.dto.refix.AnswerRefixVo;
import com.qmth.teachcloud.mark.dto.refix.PageRefixDomain;
import com.qmth.teachcloud.mark.dto.refix.PaperRefixDomain;
import com.qmth.teachcloud.mark.entity.ScanPaper;
import com.qmth.teachcloud.mark.entity.ScanPaperPage;
import com.qmth.teachcloud.mark.entity.ScanRefixBatch;
import com.qmth.teachcloud.mark.entity.ScanStudentPaper;
import com.qmth.teachcloud.mark.enums.LockType;
import com.qmth.teachcloud.mark.mapper.ScanRefixBatchMapper;
import com.qmth.teachcloud.mark.service.ScanPaperPageService;
import com.qmth.teachcloud.mark.service.ScanPaperService;
import com.qmth.teachcloud.mark.service.ScanRefixBatchService;
import com.qmth.teachcloud.mark.service.ScanStudentPaperService;


/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class ScanRefixBatchServiceImpl extends ServiceImpl<ScanRefixBatchMapper, ScanRefixBatch>
		implements ScanRefixBatchService {
	@Autowired
	private ScanStudentPaperService studentPaperService;
	@Autowired
	private MarkStudentService studentService;
	@Autowired
	private ScanPaperService paperService;
	@Autowired
	private ScanPaperPageService paperPageService;
	@Autowired
	private ConcurrentService concurrentService;
	@Autowired
	private ScanAnswerCardService answerCardService;

	@Transactional
	@Override
	public AnswerRefixVo answerRefix(SysUser user, AnswerRefixDomain domain) {
		return null;
	}

}
